package cn.axzo.msg.center.common.enums;

/**
 * @author zhangran
 * @Date 2021/1/26 16:32
 * @Description
 */
public enum TableIsDeleteEnum {

  NORMAL(0L, "正常"),

  /**
   * 在实际业务中，is_delete字段会被设置为与id相同，所以只要不是=0，就是被删除了。
   */
  @Deprecated
  DELETE(1L, "已删除"),

  ;

  public final Long value;

  public final String desc;

  TableIsDeleteEnum(Long value, String desc) {
    this.value = value;
    this.desc = desc;
  }
}
